%define enable_debug	0
%{?_with_debug: %global enable_debug 1}
%{?_without_debug: %global use_debug 0}

%define pppver	2.4.5

Summary:	ADSL/PPPoE userspace driver
Name:		rp-pppoe
Version:	3.11
Release:	%mkrel 2
Source0:	http://www.roaringpenguin.com/files/download/%{name}-%{version}.tar.gz
Source3:	http://www.luigisgro.com/sw/rp-pppoe-3.8.patch/README-first-session-packet-lost.txt
# from drakx/mdk-stage1/rp-pppoe/src/:
Source8:	config.h-diet
Source9:	Makefile-diet-pppoe
Source10:	pppoe-server.service
Patch0:		rp-pppoe-3.8-CAN-2004-0564.patch
Patch1:		rp-pppoe-3.10-lsb.patch
Url:		http://www.roaringpenguin.com/pppoe
License:	GPL
Group:		System/Servers
Requires:	ppp >= 2.4.1
BuildRequires:	dietlibc-devel
BuildRequires:	autoconf2.5
BuildRequires:	ppp-devel = %{pppver}

%package	gui
Group:		System/Servers
Summary:	GUI front-end for rp-pppoe
Requires:	rp-pppoe >= 3.6
Requires:	tk

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

It has been tested with many ISPs, such as the Canadian Sympatico HSE (High
Speed Edition) service.

%description	gui
This package contains the graphical frontend (tk-based) for rp-pppoe.

Install this if you wish to have a graphical frontend for pppoe.

%prep
%setup -q
%patch0 -p1 -b .CAN
%patch1 -p1 -b .lsb

%build
# (TV) diet build for stage1:
cp -a src src-diet
pushd src-diet
cp %{SOURCE8} %{SOURCE9} . ; mv config.h{-diet,}
# (TV) fix build with dietlibc:
perl -pi -e  '$_ .= "#include <linux/tty.h>\n" if /ifndef N_HDLC/' pppoe.c
make -f Makefile-diet-pppoe
popd

%serverbuild
cd src
autoconf
%if %{enable_debug}
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -g"
%else
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%endif
%configure2_5x --docdir=%{_docdir}/%{name} \
	--disable-plugin

%make

%install
install -m 644 %{SOURCE3} ./README-first-session-packet-lost.txt

pushd src
%makeinstall_std
popd

install -m 755 src-diet/pppoe %{buildroot}%{_sbindir}/pppoe-diet
rm -f %{buildroot}%{_initrddir}/pppoe

install -D -m 0644 %{SOURCE10} %{buildroot}%{_unitdir}/pppoe-server.service

pushd gui
%makeinstall_std
popd

# This is necessary for the gui to work, but it shouldn't be done here !
mkdir -p %{buildroot}%{_sysconfdir}/ppp/rp-pppoe-gui

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-rp-pppoe-gui.desktop <<EOF
[Desktop Entry]
Name=TkPPPoE
Comment=Frontend for rp-pppoe
Exec=tkpppoe
Icon=remote_access_section
Terminal=false
Type=Application
Categories=Network;RemoteAccess;Dialup;
EOF

rm -rf %{buildroot}/usr/share/doc

rm -rf %{buildroot}%{_sysconfdir}/ppp/plugins

# backward compatibility links
for i in connect start stop setup status; do
	ln -sf %{_sbindir}/pppoe-$i %{buildroot}%{_sbindir}/adsl-$i
	ln -sf pppoe-$i.8 %{buildroot}%{_mandir}/man8/adsl-$i.8
done

%if %{enable_debug}
export DONT_STRIP=1
export EXCLUDE_FROM_STRIP=".*"
%endif

%files
%doc doc/* README SERVPOET
%doc README-first-session-packet-lost.txt
%config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall-masq
%config(noreplace) %{_sysconfdir}/ppp/firewall-standalone
%{_sbindir}/pppoe
%{_sbindir}/pppoe-diet
%{_sbindir}/pppoe-connect
%{_sbindir}/pppoe-relay
%{_sbindir}/pppoe-server
%{_sbindir}/pppoe-setup
%{_sbindir}/pppoe-sniff
%{_sbindir}/pppoe-start
%{_sbindir}/pppoe-status
%{_sbindir}/pppoe-stop
%{_sbindir}/adsl-connect
%{_sbindir}/adsl-setup
%{_sbindir}/adsl-start
%{_sbindir}/adsl-status
%{_sbindir}/adsl-stop
%{_mandir}/man[58]/*
%{_unitdir}/pppoe-server.service

%files gui
%{_bindir}/tkpppoe
%{_sbindir}/pppoe-wrapper
%{_mandir}/man1/*
%{_datadir}/applications/*
%dir %{_datadir}/tkpppoe
%dir %{_sysconfdir}/ppp/rp-pppoe-gui
%{_datadir}/tkpppoe/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.11-2.mga3
+ Revision: 380432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 3.11-1.mga3
+ Revision: 338713
- remove obsolete kernel plugin that does not build and is replaced by ppp-pppoe

  + fwang <fwang>
    - force build plugin
    - enable plugin always
    - new version 3.11

* Sat May 12 2012 colin <colin> 3.10-6.mga2
+ Revision: 235405
- Add LSB headers to initscripts (mga#5262)

* Thu Jan 05 2012 tv <tv> 3.10-5.mga2
+ Revision: 191804
- build static pppoe-diet for stage1

* Tue Apr 26 2011 wally <wally> 3.10-4.mga1
+ Revision: 91823
- fix desktop file name (mga#954)
- fix exec line in desktop file
- drop buildroot definition

* Tue Feb 22 2011 ennael <ennael> 3.10-3.mga1
+ Revision: 55941
- remove mdk versions
- imported package rp-pppoe

